Page MenuHomePhabricator

copies-rust: rename Oracle.is_ancestor to Oracle.is_overwrite
ClosedPublic

Authored by marmoute on Dec 2 2020, 11:02 AM.

Details

Summary

The core information that we want here is about "does information from revision
X overwrite information in Y". To do so, we check is X is an ancestors of Y, but
this is an implementation details, they could be other ways. We update the
naming to clarify this (and align more with wording used in upcoming changesets.

For people curious about other ways: for example we could record the overwrite
graph as it happens and reuse that to check if X overwrite Y, without having to
do potential expensive is_ancestor call on the revision graph.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

marmoute created this revision.Dec 2 2020, 11:02 AM
baymax updated this revision to Diff 23960.Dec 2 2020, 1:19 PM
Alphare accepted this revision.Dec 14 2020, 4:51 AM
marmoute updated this revision to Diff 24219.Dec 14 2020, 6:17 AM
baymax updated this revision to Diff 24240.Dec 14 2020, 7:48 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Dec 17 2020, 6:16 AM
This revision is now accepted and ready to land.Dec 17 2020, 6:16 AM
baymax updated this revision to Diff 24357.Dec 17 2020, 3:47 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)